Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationMesh Class Reference

変換メッシュ More...

`#include <TranslationMesh.h>`

Inheritance diagram for LampForMaya::TranslationMesh:

List of all members.

## Public Member Functions
virtual | ~TranslationMesh ()
| デストラクタ
virtual bool | convertToLamp (Scene *scene)=0
| Lampへの変換.
virtual String | getName () const
| 名前の取得
virtual void | compilePivot (const Vector3 &pivot)
| ピボットのコンパイル
virtual bool | logicalCheck ()=0
| 論理チェック
virtual void | setMaterialName (const String &materialName)
| マテリアル名の設定
virtual void | addPosition (const Vector3 &position)
| 位置の追加
virtual void | addNormal (const Vector3 &normal)
| 法線の追加
virtual void | addColor (const Color4f &color)
| 色の追加
virtual void | addUV (const TexCoord2 &uv)
| UVの追加.
virtual void | setUVSetCount (int uvSetCount)
| UVセット数の設定.
virtual bool | isRigidMesh () const
| 剛体メッシュかどうか
virtual TranslationRigidMesh * | castRigidMesh () const
| 剛体メッシュへのキャスト
virtual bool | isCharacterMesh () const
| キャラクタメッシュかどうか
virtual TranslationCharacterMesh * | castCharacterMesh () const
| キャラクタメッシュへのキャスト
## Protected Member Functions
| TranslationMesh (const String &initializeName)
| コンストラクタ
virtual bool | vertexLogicalCheck ()
| 頂点論理チェック
## Protected Attributes
String | name_
| 名前
String | materialName_
| マテリアル名
ArrayList< Vector3 > | positions_
| 位置配列
ArrayList< Vector3 > | normals_
| 法線配列
ArrayList< Color4f > | colors_
| 色配列
ArrayList< TexCoord2 > | uvs_
| UV配列.
int | uvSetCount_
| UVセット数.
## Friends
class | TranslationMeshManager

## Detailed Description

変換メッシュ

Definition at line 41 of file TranslationMesh.h.

## Constructor & Destructor Documentation

LampForMaya::TranslationMesh::TranslationMesh | ( | const String & | initializeName | ) | `[protected]`

  | コンストラクタ Parameters:
  initializeName | 初期化する名前
Definition at line 32 of file TranslationMesh.cpp.

## Member Function Documentation

virtual void LampForMaya::TranslationMesh::addColor | ( | const Color4f & | color | ) | `[inline, virtual]`

  | 色の追加 Parameters:
  color | 追加する色
Definition at line 101 of file TranslationMesh.h. References colors_. Referenced by LampForMaya::TranslationStandardModel::analyze(), and LampForMaya::TranslationCharacterModel::analyzeMesh().

virtual void LampForMaya::TranslationMesh::addNormal | ( | const Vector3 & | normal | ) | `[inline, virtual]`

  | 法線の追加 Parameters:
  normal | 追加する法泉
Definition at line 95 of file TranslationMesh.h. References normals_. Referenced by LampForMaya::TranslationStandardModel::analyze(), and LampForMaya::TranslationCharacterModel::analyzeMesh().

virtual void LampForMaya::TranslationMesh::addPosition | ( | const Vector3 & | position | ) | `[inline, virtual]`

  | 位置の追加 Parameters:
  position | 追加する位置
Definition at line 87 of file TranslationMesh.h. References positions_. Referenced by LampForMaya::TranslationStandardModel::analyze(), and LampForMaya::TranslationCharacterModel::analyzeMesh().

virtual void LampForMaya::TranslationMesh::addUV | ( | const TexCoord2 & | uv | ) | `[inline, virtual]`

  | UVの追加. Parameters:
  uv | 追加するUV
Definition at line 107 of file TranslationMesh.h. References uvs_. Referenced by LampForMaya::TranslationStandardModel::analyze(), and LampForMaya::TranslationCharacterModel::analyzeMesh().

virtual TranslationCharacterMesh* LampForMaya::TranslationMesh::castCharacterMesh | ( |  | ) | const`[inline, virtual]`

| キャラクタメッシュへのキャスト Returns: キャラクタメッシュ。型が違えばNULLを返す。 Definition at line 146 of file TranslationMesh.h. References isCharacterMesh().

virtual TranslationRigidMesh* LampForMaya::TranslationMesh::castRigidMesh | ( |  | ) | const`[inline, virtual]`

| 剛体メッシュへのキャスト Returns: 剛体メッシュ。型が違えばNULLを返す。 Definition at line 128 of file TranslationMesh.h. References isRigidMesh().

virtual void LampForMaya::TranslationMesh::compilePivot | ( | const Vector3 & | pivot | ) | `[inline, virtual]`

  | ピボットのコンパイル Parameters:
  pivot | ピボット位置
Reimplemented in LampForMaya::TranslationRigidMesh. Definition at line 66 of file TranslationMesh.h. Referenced by LampForMaya::TranslationModel::compilePivot().

virtual bool LampForMaya::TranslationMesh::convertToLamp | ( | Scene * | scene | ) | `[pure virtual]`

  | Lampへの変換. Parameters:
  scene | シーン
Returns: 成功すればtrue Implemented in LampForMaya::TranslationCharacterMesh, and LampForMaya::TranslationRigidMesh. Referenced by LampForMaya::TranslationMeshManager::convertToLamp().

virtual String LampForMaya::TranslationMesh::getName | ( |  | ) | const`[inline, virtual]`

| 名前の取得 Returns: 名前 Definition at line 60 of file TranslationMesh.h. References name_.

virtual bool LampForMaya::TranslationMesh::isCharacterMesh | ( |  | ) | const`[inline, virtual]`

| キャラクタメッシュかどうか Returns: キャラクタメッシュならtrue Reimplemented in LampForMaya::TranslationCharacterMesh. Definition at line 140 of file TranslationMesh.h. Referenced by castCharacterMesh().

virtual bool LampForMaya::TranslationMesh::isRigidMesh | ( |  | ) | const`[inline, virtual]`

| 剛体メッシュかどうか Returns: 剛体メッシュならtrue Reimplemented in LampForMaya::TranslationRigidMesh. Definition at line 122 of file TranslationMesh.h. Referenced by castRigidMesh().

virtual bool LampForMaya::TranslationMesh::logicalCheck | ( |  | ) | `[pure virtual]`

| 論理チェック Returns: 成功すればtrue Implemented in LampForMaya::TranslationCharacterMesh, and LampForMaya::TranslationRigidMesh.

virtual void LampForMaya::TranslationMesh::setMaterialName | ( | const String & | materialName | ) | `[inline, virtual]`

  | マテリアル名の設定 Parameters:
  materialName | マテリアル名
Definition at line 79 of file TranslationMesh.h. References materialName_. Referenced by LampForMaya::TranslationStandardModel::analyze(), and LampForMaya::TranslationCharacterModel::analyzeMesh().

virtual void LampForMaya::TranslationMesh::setUVSetCount | ( | int | uvSetCount | ) | `[inline, virtual]`

  | UVセット数の設定. Parameters:
  uvSetCount | UVセット数
Definition at line 113 of file TranslationMesh.h. References uvSetCount_. Referenced by LampForMaya::TranslationStandardModel::analyze(), and LampForMaya::TranslationCharacterModel::analyzeMesh().

bool LampForMaya::TranslationMesh::vertexLogicalCheck | ( |  | ) | `[protected, virtual]`

| 頂点論理チェック Returns: 正常ならture Definition at line 41 of file TranslationMesh.cpp. References colors_, MayaErrorOut, name_, normals_, positions_, uvs_, and uvSetCount_. Referenced by LampForMaya::TranslationRigidMesh::logicalCheck(), and LampForMaya::TranslationCharacterMesh::logicalCheck().

The documentation for this class was generated from the following files:

- TranslationMesh.h
- TranslationMesh.cpp